Subject: Re: [CDNi] [RFC 7975 errata]

From: Guillaume Bichot <[email-masked]>
Date: Mon, 3 May 2021 19:44:19 +0000

Hi Kevin.

I understood your explanations.
I am ok with your "configured for" proposal which I think bring more clarity on which entity does what.

Guillaume

From: Kevin Ma <[email-masked]>
Sent: Saturday, May 1, 2021 6:07 AM
To: Guillaume Bichot <[email-masked]>
Cc: Mishra, Sanjay <[email-masked]>; [email-masked]
Subject: Re: [RFC 7975 errata]

Hi Guillaume,

  Thanks for the clarification.  I understand the point you make and can see how the use of "performing" in both bullets could be interpreted in the way you describe, but I still don't agree that the parenthetical is attempting to describe uCDN behavior.  I think the intent was to describe the dCDN behavior.  If the word "performing" in the first bullet was replaced with something like "directing" or "configured for", would that address the contradiction as you see it?

thanx!

--  Kevin J. Ma

On Thu, Apr 29, 2021 at 4:23 AM Guillaume Bichot <[email-masked]<mailto:[email-masked]>> wrote:
Hi Kevin.

This is the way I read it at first. But the least we can say is that it is misleading. The two bullets are contradictory.

Look at the second one. It says that the RTs are [dCDN] request routers (if the dCDN will perform request redirection itself). This is really the dCDN that will perform the redirect outside of the context of that uCDN<---->dCDN RR interface communication. Whereas with the first bullet, it would mean something regarding only the context of that uCDN<---->dCDN RR interface communication.

With my proposed change it becomes coherent in the way both bullets means something outside the context of the uCDN<---->dCDN RR interface communication

Guillaume

From: Kevin Ma <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, April 29, 2021 4:50 AM
To: Mishra, Sanjay <[email-masked]<mailto:[email-masked]>>
Cc: Guillaume Bichot <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [RFC 7975 errata]

Hi All,

  I think the text of RFC 7975 is correct.  The uCDN is asking the dCDN to resolve the DNS request, and the response to the RI request is in fact "the dCDN ... performing DNS-based redirection".

  I think the text in question has to be read in the CDNI context of uCDN <-> dCDN communications, not client <-> uCDN communications.  Though the uCDN does relay a response to the client, the RI interface response represents the actual redirection decision making by the dCDN.  The two bullet points are simply distinguishing between direct to surrogate vs to a request router.

--  Kevin J. Ma

On Tue, Apr 27, 2021 at 9:28 PM <[email-masked]<mailto:[email-masked]>> wrote:
Hi Guillaume - Thank you. I agree with you on the error/typo (but one that changes the context). So, indeed sec 4.4.2 should be corrected as you listed below.

Thanks
Sanjay

From: Guillaume Bichot [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Tuesday, April 27, 2021 5:37 AM
To: [email-masked]<mailto:[email-masked]>
Cc: Kevin Ma <[email-masked]<mailto:[email-masked]>>; Mishra, Sanjay <[email-masked]<mailto:[email-masked]>>
Subject: [E] [RFC 7975 errata]

Hi all,
Looks like there might be a mistake in RFC7975 section 4.4.2. One can read the following:

For a successful DNS-based redirection, the dCDN needs to return one
   of the following to the uCDN in the RI response:

   o  The IP address(es) of (or the CNAME of) RTs that are dCDN
      surrogates (if the dCDN is performing DNS-based redirection
      directly to a surrogate); or

   o  The IP address(es) of (or the CNAME of) RTs that are Request
      Routers (if the dCDN will perform request redirection itself).  A
      dCDN MUST NOT return an RT that is a Request Router if the dns-
      only key is set to True in the RI request.

However, if the retuned IP address(es) (or the CNAME of) RTs are dCDN surrogates then it means the uCDN (and not the dCDN) is performing  DNS-based redirection directly to a surrogate.

SO one should read:

For a successful DNS-based redirection, the dCDN needs to return one
   of the following to the uCDN in the RI response:

   o  The IP address(es) of (or the CNAME of) RTs that are dCDN
      surrogates (if the uCDN is performing DNS-based redirection
      directly to a surrogate); or

   o  The IP address(es) of (or the CNAME of) RTs that are Request
      Routers (if the dCDN will perform request redirection itself).  A
      dCDN MUST NOT return an RT that is a Request Router if the dns-
      only key is set to True in the RI request.

Guillaume Bichot

Guillaume Bichot
Principal Engineer, Head of Exploration

m: +33 685 597 666    p: +33 222 740 350
[email-masked]<mailto:[email-masked]>
[Logo]<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__www.broadpeak.tv_%26d%3DDwMFAg%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DHpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc%26s%3DS27uZ1iToO1zpbnRwzTweF60C9E9hWI48YPfH9Mi3Vo%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7C7addaf768212423a6f0d08d90c56a048%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637554388473319473%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=wLbxvCqJn0JTeEBmjyampefv32DRhi8co7TQXUXCNnw%3D&reserved=0>

[twitter]<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__twitter.com_broadpeak%26d%3DDwMFAg%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DHpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc%26s%3D1SLsmG6-ZCCQ99vClIzSOmRcm3_7HOCvq8cpxWMIhM0%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7C7addaf768212423a6f0d08d90c56a048%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637554388473329438%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=61fKsd2ELMU6T%2FOobYC1V9hHmK98jOXJvyFVys4qEqg%3D&reserved=0>
[linkedin]<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__www.linkedin.com_company_broadpeak-5F2_%26d%3DDwMFAg%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DHpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc%26s%3DBiamHiC2hVwLnGizPPkurTa9AB38y80e4xlVr8zgiIo%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7C7addaf768212423a6f0d08d90c56a048%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637554388473329438%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=EVhgcx4xxWbXDtQeMeMrPbm%2BxmO36pheVjmhYjYmBN4%3D&reserved=0>
[website]<https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttps-3A__broadpeak.tv_%26d%3DDwMFAg%26c%3DudBTRvFvXC5Dhqg7UHpJlPps3mZ3LRxpb6__0PomBTQ%26r%3DXniVbishGiO2Ao9hKqSc-hTVIWCi3T-x6GdHR4ZTgoM%26m%3DHpDOPdXZxC595fAQ1tUmoCm2xKWrFTipJWF44jjvIcc%26s%3DTLT6gKRtb8HNe5MyXEuZ2l9auJyH1s2EAG75ENu4w4Y%26e%3D&data=04%7C01%7CGuillaume.Bichot%40broadpeak.tv%7C7addaf768212423a6f0d08d90c56a048%7C0ebe44eac9c9438da0407e699f358ed4%7C0%7C0%7C637554388473339394%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=EKS9SkZwZ2xz7Xcl6Nvw6Sgt79RXV1t2t42QE%2FDS%2Fwg%3D&reserved=0>